comedi_data_write
Prev | 5.4.1. Core Functions | Next

## Name

comedi_data_write — write single sample to channel

## Synopsis

    #include <comedilib.h>

`int comedi_data_write(` | comedi_t * device,
| unsigned int subdevice,
| unsigned int channel,
| unsigned int range,
| unsigned int aref,
| lsampl_t data`)`;

## Description

Writes a single sample on the channel that is specified by the Comedi device `device`, the subdevice `subdevice`, and the channel `channel`. If appropriate, the device is configured to use range specification `range` and analog reference type `aref`. Analog reference types that are not supported by the device are silently ignored.

The function `comedi_data_write` writes the data value specified by the parameter `data` to the specified channel.

## Return value

On success, `comedi_data_write` returns `1` (the number of samples written). If there is an error, `-1` is returned.

Prev | Up | Next
comedi_data_read_hint | Home | comedi_do_insn